Subject: Re: [PATCH 5/6] CPM_UART: unify clock sources

From: Vitaly Bordug <[email-masked]>
Date: Sat, 24 Jun 2006 19:21:36 +0400

Kumar, 

Thanks for feedback! My comment below.

On Sat, 24 Jun 2006 08:46:54 -0500
Kumar Gala <[email-masked]> wrote:

[snip]
> > +
> > +#ifndef FS_PD_H
> > +#define FS_PD_H
> > +
> > +#define GET_BAUDRATE()	(((bd_t *) __res)->bi_baudrate ?
> > ((bd_t *) __res)->bi_baudrate : -1)
> > +#define FS_UART_CLK()	(((bd_t *) __res)->bi_intfreq)
> > +
> > +#endif
> 
> We shouldn't hide these differences in a header like this.  As we  
> slowly try to removing things from arch/ppc.  Why not just add  
> platform data for these two pieces of data and set it up like we do  
> other platform data.
> 
That was my first guess as well, but: 
The aim is yet moving to powerpc not to break existing ppc/ stuff. 
So if alternatively platform_data may be utilized, all relevant ppc
stuff that uses cpm uart should be updated. While doing the driver
"platformize" trick, I made it possible to keep legacy behaviour
(pd-less), this is not going to afford such a thing. 

IOW, I don't see much sense in updating ppc/ BSP files, just to keep
the right way. It does not look very neat now, but does the job of
moving FW and keeping existing stuff sane. If there is better approach
envisioned, I'll definitely follow..

--
Sincerely, Vitaly